export type Parameter = {
    id: string,
    name: string,
    description: string,
    required: boolean,
    multiple: boolean,
    type: string,
    default?: any,
    max?: number,
    min?: number,
    value_list?: {
        label: string,
        value: any,
        description?: string,
        group?: string,
    }[]
}
export type TableColumnDescriptor = {
    id: string,
    name: string,
    type: string
}
export type CustomTarget = {
    id: string,
    label: string,
    combines: string[]
}