Rails.application.routes.draw do
  scope :api do
    resources :dashboard_group_dashboards
    resources :dashboard_groups
    resources :dashboard_component_placements
    resources :dashboards
    resources :dashboard_components
    post "/dashboard_components/:id/run" => "dashboard_components#run"
    resources :dashboard_targets
  end
  mount RxModule::Engine => "/api/rx_module"
  root '/', controller: :index, action: :show, as: :index_show
  match '*path' => 'index#show', via: :all
end
